### Angular service

# Attr2Options source

  Converts html attributes to google api v3 object options

  ##### Dependencies:

  Name | Type | Description
  --- | --- | ---
  $parse | service | angular html parser
  $timeout | service | angular window.setTimeout service
  NavigatorGeolocation | service | Google NavigatorGeolocation wrapper
  GeoCoder | service | Google GeoCoder wrapper

### Methods

#### filter (attrs) -> Hash

  filters attributes by skipping angularjs methods $.. $$..

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  attrs | Hash | tag attributes

  ##### Returns:

  Type | Description
  --- | ---
  Hash | filterd attributes

#### getControlOptions (filtered) -> Hash

  Return options of Google map control, i.e streetview, pan, etc, not a general control

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  filtered | Hash | filtered tag attributes

  ##### Returns:

  Type | Description
  --- | ---
  Hash | Google Map options

#### getEvents (scope, attrs) -> Hash

  converts attributes hash to scope-specific event function

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  scope | scope | angularjs scope
  attrs | Hash | tag attributes

  ##### Returns:

  Type | Description
  --- | ---
  Hash | events converted events

#### getOptions (attrs, scope) -> Hash

  converts attributes hash to Google Maps API v3 options

       . converts numbers to number
       . converts class-like string to google maps instance
         i.e. `LatLng(1,1)` to `new google.maps.LatLng(1,1)`
       . converts constant-like string to google maps constant
         i.e. `MapTypeId.HYBRID` to `google.maps.MapTypeId.HYBRID`
         i.e. `HYBRID"` to `google.maps.MapTypeId.HYBRID`

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  attrs | Hash | tag attributes
  scope | scope | angularjs scope

  ##### Returns:

  Type | Description
  --- | ---
  Hash | options converted attributess

#### toOptionValue (input, options) -> Hash

  Convert input to Google Map option input

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  input | Objec | a value to convert
  options | Hash | to convert the input

  ##### Returns:

  Type | Description
  --- | ---
  Hash | attributes